//
//  ARService+PushNotification.h
//  AppRelay
//
//  Created by Sebastien Morel on 13-03-22.
//  Copyright (c) 2013 WhereCloud Inc. All rights reserved.
//

#import <AppRelay/AppRelay.h>

/**
 */
@interface ARService (PushNotification)

///-----------------------------------
/// @name Managing Push Notifications
///-----------------------------------

/**
 */
- (void)handleApplication:(UIApplication*)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions;

/**
 */
- (void)handleApplicationDidBecomeActive:(UIApplication*)application;

/**
 */
- (void)handleApplication:(UIApplication*)application didRegisterForRemoteNotificationsWithDeviceToken:(NSData*)apnsToken;

/**
 */
- (void)handleApplication:(UIApplication*)application didReceiveRemoteNotification:(NSDictionary*)userInfo openingApplication:(BOOL)openingApplication;

/**
 */
@property(nonatomic,copy) void(^remoteNotificationReceivedBlock)(BOOL openingApplication, NSString* topicUUID, NSString* messageUUID);


@end
