Pod::Spec.new do |s|
  s.name         = "Ballista"
  s.version      = "1.5.0"
  s.summary      = "Actionable Mobile analytics, User Engagement with rich Campaigns, Push notification API and Crash Reports using the Ballista SDK for iOS."
  s.homepage     = "http://www.goballista.com/"
  s.author       = 'Wherecloud'
  s.license      = { :type => 'Copyright', :file => 'LICENSE.txt' }
  s.source       = { :git => 'https://github.com/wherecloud/ballista-sdk-ios-precompiled.git', :tag => 'v1.5.0' }
  s.platform     = :ios

  s.source_files = '1.5.0/AppRelay.framework/Versions/1.0/Headers/*.h'
  s.preserve_paths = '1.5.0/AppRelay.framework'
  s.resources = '1.5.0/AppRelay.framework/Versions/1.0/Resources/**/*'

  s.frameworks = 'CoreTelephony', 'Security', 'AdSupport', 'CFNetwork', 'SystemConfiguration', 'QuartzCore', 'PassKit', 'AppRelay'
  s.xcconfig = { 'FRAMEWORK_SEARCH_PATHS' => '"${PODS_ROOT}/Ballista/1.4.2"', 'OTHER_LDFLAGS' => '-ObjC -all_load -licucore -lz -weak_library /usr/lib/libstdc++.dylib ' }

  s.dependency 'PLCrashReporter'

end
